%global commit b264091d223c396594a573e06aa63731cf694bce
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname console_bridge
Name:		console-bridge
Version:	0.2.7
Release:	1%{?dist}
Summary:	Lightweight set of macros used for reporting information in libraries

Group:		Development/Libraries
License:	BSD
URL:		http://ros.org/wiki/console_bridge
Source0:        https://github.com/ros/%{realname}/archive/%{commit}/%{realname}-%{version}-%{shortcommit}.tar.gz
# Add support for lib64
# https://github.com/ros/console_bridge/pull/19
Patch0:         %{name}-0.2.7-gnuinstalldirs.patch

BuildRequires:	cmake
BuildRequires:	boost-devel

%description
A very lightweight set of macros that can be used for reporting information 
in libraries. The logged information can be forwarded to other systems.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{realname}-%{commit}
%patch0 -p1 -b .gnuinstalldirs

%build
mkdir build; pushd build
%cmake .. -DUSE_GNU_INSTALL_DIRS=ON
popd
make -C build %{?_smp_mflags}


%install
make -C build install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/*.so

%files devel
%{_includedir}/%{realname}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/%{realname}


%changelog
* Sat Aug 23 2014 Rich Mattes <richmattes@gmail.com> - 0.2.7-1
- Update to release 0.2.7

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.2.5-2
- Rebuild for boost 1.55.0

* Sat Feb 08 2014 Rich Mattes <richmattes@gmail.com> - 0.2.5-1
- Update to release 0.2.5

* Wed Aug 21 2013 Rich Mattes <richmattes@gmail.com> - 0.2.4-1
- Update to release 0.2.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.1.4-3
- Rebuild for boost 1.54.0

* Tue Apr 09 2013 Rich Mattes <richmattes@gmail.com> - 0.1.4-2
- Add ldconfig calls
- Add patch to create a soversion, set it to 0

* Tue Mar 12 2013 Rich Mattes <richmattes@gmail.com> - 0.1.4-1
- Update to release 0.1.4

* Sun Dec 02 2012 Rich Mattes <richmattes@gmail.com> - 0.1.2-2
- Fixed library path in console_bridge-config.cmake

* Sat Oct 13 2012 Rich Mattes <richmattes@gmail.com> - 0.1.2-1
- Initial package
